<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.propertyManagement.business.mapper.WxPayRecordMapper">

    <resultMap type="com.propertyManagement.business.domain.WxPayRecord" id="WxPayRecordResult">
        <result property="recordId" column="record_id"/>
        <result property="userId" column="user_id"/>
        <result property="userName" column="user_name"/>
        <result property="communityName" column="community_name"/>
        <result property="proprietorId" column="proprietor_id"/>
        <result property="proprietorName" column="proprietor_name"/>
        <result property="room" column="room"/>
        <result property="plateNumber" column="plate_number"/>
        <result property="orderId" column="order_id"/>
        <result property="orderType" column="order_type"/>
        <result property="payChannelCode" column="pay_channel_code"/>
        <result property="payMchCode" column="pay_mch_code"/>
        <result property="payTradeType" column="pay_trade_type"/>
        <result property="payAppCode" column="pay_app_code"/>
        <result property="payBizCode" column="pay_biz_code"/>
        <result property="payAmount" column="pay_amount"/>
        <result property="payState" column="pay_state"/>
        <result property="outTradeNo" column="out_trade_no"/>
        <result property="tradeNo" column="trade_no"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>


</mapper>
